Bulk Delete Event

This endpoint deletes one or more Events at once.

Request

To delete one or more Events, make a DELETE request to the following URL:

HTTP MethodURL
DELETEhttps://industrial.api.ubidots.com/api/v2.0/events/_/bulk/delete

Query Parameters

ParameterTypeUseDescription
tokenStringAuthenticationThe authentication token can optionally be sent as a query parameter.

Header

ParameterTypeDescription
X-Auth-TokenStringAuthentication Token of account
X-Bulk-OperationBooleanMust be set to true for the bulk operation to work
Content-TypeString (application/json)Content type of the request body
curl -X DELETE 'https://industrial.api.ubidots.com/api/v2.0/events/_/bulk/delete/' \
 -H 'Content-Type: application/json' \
 -H 'X-Auth-Token: oaXBo6ODhIjPsusNRPUGIK4d72bc73' \
 -d '[
  "409dba9c67d3bb19f554",
  "~second-event",
  {"id": "428786a8db5102120626"}
]'
{
  "task": {
    "id": "tyg54645501a9ca5714e7b098721"
  }
}
{
    "code": 400001,
    "message": "Validation Error.",
    "detail": {
        ....
    }
}
{
    "code": 401001,
    "message": "Authentication credentials were not provided.",
    "detail": "Authentication credentials were not provided."
}
{
    "detail": "Header `X-BULK-OPERATION` should be provided for bulk operation."
}

Response

Returns an Event object of the Bulk Event deleted.

❗️

Attention

Deleting a Bulk Event cannot be undone. Back up any data before deleting a Bulk Event.